Package: org.codehaus.groovy.util

## [Java] Class LazyReference<T>

- org.codehaus.groovy.util.LazyReference

-     public abstract class LazyReference<T>
      extends LockableObject

  Soft reference with lazy initialization under lock

- - ### Constructor Summary

    Constructors
    Constructor and description
    `LazyReference(ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `clear()`
    `` | `public T` | `get()`
    `` | `public abstract T` | `initValue()`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LockableObject` | `isHeldExclusively, lock, tryAcquire, tryRelease, unlock`

- - ### Constructor Detail

    - #### public LazyReference(ReferenceBundle bundle)

  - ### Method Detail

    - #### public void clear()

    - #### public T get()

    - #### public abstract T initValue()

    - #### @Override
      public String toString()